For the complete documentation index, see llms.txt. This page is also available as Markdown.

Account Balance

How to get your account balance in Pagsmile.

Get your Payout account balance in Pagsmile.

POST https://sandbox.transfersmile.com/api/balance

Headers

Name
Type
Description

Content-Type*

String

application/json; chartset=UTF-8

AppId*

String

Your App ID in payout platform

Authorization*

String

SHA256($sorted_params + $app_key)

Request Body

Name
Type
Description

timestamp*

Integer

unix timestamp, e.g. 1628512575

{
    "code": 200,
    "msg": "success",
    "time": 1642075813,
    "data": [
        {
            "currency": "USD",
            "amount": "551.38"
        },
        {
            "currency": "GBP",
            "amount": "0"
        },
        {
            "currency": "EUR",
            "amount": "0"
        },
        {
            "currency": "BRL",
            "amount": "99002.23"
        },
        {
            "currency": "MXN",
            "amount": "0"
        }
    ]
}

Example

Note: 94FAC*********************68548 is pagsmile's test merchant id for sandbox, and d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302 is authorization token associated with the test App ID

Last updated